<!-- Footer -->
<footer class="sticky-footer bg-white">
  <div class="container my-auto">
    <div class="copyright text-center my-auto">
      <span>Copyright &copy; Osvaldo Gabry </span>
    </div>
  </div>
</footer>
<!-- End of Footer -->

</div>
<!-- End of Content Wrapper -->

</div>
<!-- End of Page Wrapper -->
<!-- Scroll to Top Button-->
<a class="scroll-to-top rounded" href="#page-top">
  <i class="fas fa-angle-up"></i>
</a>

<!-- Logout Modal-->
<div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Sair?</h5>
        <button class="close" type="button" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">Você tem certeza que quer sair do sistema?</div>
      <div class="modal-footer">
        <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
        <a class="btn btn-primary" href="../logout.php">Logout</a>
      </div>
    </div>
  </div>
</div>

<script type="text/javascript" src="js/loader.js"></script>

<!-- Custom scripts for all pages-->
<script src="js/mascaras.js"></script>

<!-- Core plugin JavaScript-->
<script src="vendor/jquery-easing/jquery.easing.min.js"></script>

<!-- Custom scripts for all pages-->
<script src="js/sb-admin-2.min.js"></script>

<!-- Page level plugins -->
<script src="vendor/chart.js/Chart.min.js"></script>

<!-- Page level plugins -->
<script src="vendor/datatables/jquery.dataTables.min.js"></script>
<script src="vendor/datatables/dataTables.bootstrap4.min.js"></script>

<!-- Page level custom scripts -->
<script src="js/demo/datatables-demo.js"></script>


<!-- Latest compiled and minified JavaScript -->
<script src="js/bootstrap-select.min.js"></script>

<!-- Page level custom scripts -->
<script src="js/demo/chart-area-demo.js"></script>
<script src="js/demo/chart-pie-demo.js"></script>

<script src="//cdn.datatables.net/1.10.15/js/jquery.dataTables.min.js"></script>

  <script>
  $(document).ready(function(){
      $('#minhaTabela').DataTable({
          "language": {
                "lengthMenu": "Mostrando _MENU_ registros por página",
                "zeroRecords": "Nada encontrado",
                "info": "Mostrando página _PAGE_ de _PAGES_",
                "infoEmpty": "Nenhum registro disponível",
                "infoFiltered": "(filtrado de _MAX_ registros no total)"
            }
        });
  });
  </script>


<script type="text/javascript">
  google.charts.load('current', {'packages':['corechart']});
  google.charts.setOnLoadCallback(drawChart);

  function drawChart() {

    var data = google.visualization.arrayToDataTable([
      ['Task', 'Hours per Day'],
      ['Gasolina Comum',     <?php echo $cont_gcomum; ?>],
      ['Gasolina Aditivada',      <?php echo $cont_gaditivada; ?>],
      ['Etanol',  <?php echo $cont_etanol; ?>],
      ['Diesel comum', <?php echo $cont_dcomum; ?>],
      ['Diesel s10',    <?php echo $cont_ds10; ?>]
      ]);

    var options = {
      title: '',
      chartArea: {left:0,top:0,width:'100%',height:'100%'},
    };
  


    var chart = new google.visualization.PieChart(document.getElementById('piechart'));

    chart.draw(data, options);
  }
</script>

<script type="text/javascript">

  // Set new default font family and font color to mimic Bootstrap's default styling
Chart.defaults.global.defaultFontFamily = 'Nunito', '-apple-system,system-ui,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif';
Chart.defaults.global.defaultFontColor = '#858796';

function number_format(n, c, d, t) {
  // *     example: number_format(1234.56, 2, ',', ' ');
  // *     return: '1 234,56'
  var m = (c = Math.abs(c) + 1 ? c : 2, d = d || ",", t = t || ".", 
        /(\d+)(?:(\.\d+)|)/.exec(n + "")), x = m[1].length > 3 ? m[1].length % 3 : 0; 
    return (x ? m[1].substr(0, x) + t : "") + m[1].substr(x).replace(/(\d{3})(?=\d)/g, 
        "$1" + t) + (c ? d + (+m[2] || 0).toFixed(c).substr(2) : "");
    toFixedFix = function(n, prec) {
      var k = Math.pow(10, prec);
      return '' + Math.round(n * k) / k;
    };
  // Fix for IE parseFloat(0.55).toFixed(0) = 0;
  s = (prec ? toFixedFix(n, prec) : '' + Math.round(n)).split('.');
  if (s[0].length > 3) {
    s[0] = s[0].replace(/\B(?=(?:\d{3})+(?!\d))/g, sep);
  }
  if ((s[1] || '').length < prec) {
    s[1] = s[1] || '';
    s[1] += new Array(prec - s[1].length + 1).join('0');
  }
  return s.join(dec);
}


var ctxL = document.getElementById("lineChart").getContext('2d');
var myLineChart = new Chart(ctxL, {
type: 'line',
data: {
labels: ["Janeiro", "Fevereiro", "Março", "Abril", "Maio", "Junho", "Julho", "Agosto", "Setembro", "Outubro", "Novembro", "Dezembro"],
datasets: [{
label: "Combustível",
data: [<?php echo number_format(($jan), 2, '.', '') ?>, <?php echo number_format(($fev), 2, '.', '') ?>,<?php echo number_format(($mar), 2, '.', '') ?>,<?php echo number_format(($abr), 2, '.', '') ?>,<?php echo number_format(($mai), 2, '.', '') ?>,<?php echo number_format(($jun), 2, '.', '') ?>,<?php echo number_format(($jul), 2, '.', '') ?>,<?php echo number_format(($ago), 2, '.', '') ?>,<?php echo number_format(($set), 2, '.', '') ?>,<?php echo number_format(($out), 2, '.', '') ?>,<?php echo number_format(($nov), 2, '.', '') ?>,<?php echo number_format(($dez), 2, '.', '') ?>],
backgroundColor: [
'rgba(105, 0, 132, .2)',
],
borderColor: [
'rgba(200, 99, 132, .7)',
],
borderWidth: 2
},
{
label: "Manutenção",
data: [<?php echo number_format(($jan2), 2, '.', '') ?>, <?php echo number_format(($fev2), 2, '.', '') ?>,<?php echo number_format(($mar2), 2, '.', '') ?>,<?php echo number_format(($abr2), 2, '.', '') ?>,<?php echo number_format(($mai2), 2, '.', '') ?>,<?php echo number_format(($jun2), 2, '.', '') ?>,<?php echo number_format(($jul2), 2, '.', '') ?>,<?php echo number_format(($ago2), 2, '.', '') ?>,<?php echo number_format(($set2), 2, '.', '') ?>,<?php echo number_format(($out2), 2, '.', '') ?>,<?php echo number_format(($nov2), 2, '.', '') ?>,<?php echo number_format(($dez2), 2, '.', '') ?>],
backgroundColor: [
'rgba(0, 137, 132, .2)',
],
borderColor: [
'rgba(0, 10, 130, .7)',
],
borderWidth: 2
}
]
},
options: {
responsive: true

}

});
</script>

</body>

</html>