<?php 

require_once '../system/config2.php';
require_once '../system/database.php';

$link = DBConnect();

 ?>
<!DOCTYPE html>
<html lang="pt-br">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>FIND Frota - Dashboard</title>

  <!-- Custom fonts for this template-->
  <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
  <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">

  <!-- Custom styles for this template-->
  <link href="css/sb-admin-2.min.css" rel="stylesheet">

  <!-- Custom styles for this page -->
  <link href="vendor/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">

  <!-- Latest compiled and minified CSS -->
  <link rel="stylesheet" href="css/bootstrap-select.min.css">

  <link href="//cdn.datatables.net/1.10.15/css/jquery.dataTables.min.css" rel="stylesheet">


  
  <!-- calemdario -->
  <link rel="stylesheet" href="css/jquery-ui.css" />
  <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
  
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.15/jquery.mask.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js"></script>
  <script src="js/jquery-ui.js"></script>

<script language="JavaScript" type="text/javascript" src="js/cidades-estados-utf8.js"></script>

<script type="text/javascript" >
function selected(value){
var dadosLoja = document.getElementsByClassName('dadosLoja');
  if(value != "NÃO"){
    dadosLoja[0].style.display = 'block';
  }else{
  dadosLoja[0].style.display = 'none';
  }
}
</script>

<script type="text/javascript" >
function selected2(value){
var dadosLoja2 = document.getElementsByClassName('dadosLoja2');
  if(value != "Sem Reserva"){
    dadosLoja2[0].style.display = 'block';
  }else{
  dadosLoja2[0].style.display = 'none';
  }
}
</script>


      <!-- Buscar CEP -->
    <script type="text/javascript" >

        $(document).ready(function() {

            function limpa_formulário_cep() {
                // Limpa valores do formulário de cep.
                $("#rua").val("");
                $("#bairro").val("");
                $("#cidade").val("");
                $("#uf").val("");
                $("#ibge").val("");
            }
            
            //Quando o campo cep perde o foco.
            $("#cep").blur(function() {

                //Nova variável "cep" somente com dígitos.
                var cep = $(this).val().replace(/\D/g, '');

                //Verifica se campo cep possui valor informado.
                if (cep != "") {

                    //Expressão regular para validar o CEP.
                    var validacep = /^[0-9]{8}$/;

                    //Valida o formato do CEP.
                    if(validacep.test(cep)) {

                        //Preenche os campos com "..." enquanto consulta webservice.
                        $("#rua").val("...");
                        $("#bairro").val("...");
                        $("#cidade").val("...");
                        $("#uf").val("...");
                        $("#ibge").val("...");

                        //Consulta o webservice viacep.com.br/
                        $.getJSON("https://viacep.com.br/ws/"+ cep +"/json/?callback=?", function(dados) {

                            if (!("erro" in dados)) {
                                //Atualiza os campos com os valores da consulta.
                                $("#rua").val(dados.logradouro);
                                $("#bairro").val(dados.bairro);
                                $("#cidade").val(dados.localidade);
                                $("#uf").val(dados.uf);
                                $("#ibge").val(dados.ibge);
                            } //end if.
                            else {
                                //CEP pesquisado não foi encontrado.
                                limpa_formulário_cep();
                                alert("CEP não encontrado.");
                            }
                        });
                    } //end if.
                    else {
                        //cep é inválido.
                        limpa_formulário_cep();
                        alert("Formato de CEP inválido.");
                    }
                } //end if.
                else {
                    //cep sem valor, limpa formulário.
                    limpa_formulário_cep();
                }
            });
        });

    </script>

    <style>
    	[data-tooltip] {
    		position: relative;
    		font-weight: bold;
    	}

    	[data-tooltip]:after {
    		display: none;
    		position: absolute;
    		top: -5px;
    		padding: 5px;
    		border-radius: 3px;
    		left: calc(100% + 2px);
    		content: attr(data-tooltip);
    		white-space: nowrap;
    		background-color: #0095ff;
    		color: White;
    	}

    	[data-tooltip]:hover:after {
    		display: block;
    	}
    </style>
  

</head>

<body id="page-top">

  <!-- Page Wrapper -->
  <div id="wrapper">

    <!-- Sidebar -->
    <ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion" id="accordionSidebar">

      <!-- Sidebar - Brand -->
      <a class="sidebar-brand d-flex align-items-center justify-content-center" href="index.php">
        <div class="sidebar-brand-icon">
          <img src="img/logo_t.png" alt="">
        </div>
        <div class="sidebar-brand-text mx-3">Frota</div>
      </a>

      <!-- Divider -->
      <hr class="sidebar-divider my-0">

      <!-- Nav Item - Dashboard -->
      <li class="nav-item <?php echo @$homeAtivo; ?>">
        <a class="nav-link" href="index.php?acao=<?php echo $home; ?>">
          <i class="fas fa-fw fa-tachometer-alt"></i>
          <span>Painel</span></a>
        </li>

        <?php if($_SESSION['nivel_usuario'] == 'Master' ){ ?>

        <!-- Nav Item - Usuários -->
        <li class="nav-item <?php echo @$usuariosAtivo; ?>">
          <a class="nav-link" href="index.php?acao=<?php echo $usuarios; ?>">
            <i class="fas fa-users"></i>
            <span>Usuários</span></a>
          </li>

        <?php } ?>

        <?php if($_SESSION['nivel_usuario'] == 'Master' OR $_SESSION['nivel_usuario'] == 'Administrador' ){ ?>
        <!-- Nav Item - Contratos -->
        <li class="nav-item <?php echo @$contratosAtivo; ?>">
          <a class="nav-link" href="index.php?acao=<?php echo $contratos; ?>">
            <i class="fas fa-pen-alt"></i>
            <span>Contratos</span></a>
          </li>

        <?php } ?>

        <?php if($_SESSION['nivel_usuario'] == 'Master' OR $_SESSION['nivel_usuario'] == 'Administrador' ){ ?>

        <!-- Nav Item - Veiculos -->
        <li class="nav-item <?php echo @$veiculosAtivo; ?>">
          <a class="nav-link" href="index.php?acao=<?php echo $veiculos; ?>">
            <i class="fas fa-car"></i>
            <span>Veículos</span></a>
          </li>

          <?php } ?>

          <?php if($_SESSION['nivel_usuario'] == 'Master' OR $_SESSION['nivel_usuario'] == 'Administrador' ){ ?>

          <!-- Nav Item - Mototista -->
          <li class="nav-item <?php echo @$motoristaAtivo; ?>">
            <a class="nav-link" href="index.php?acao=<?php echo $motorista; ?>">
              <i class="fas fa-id-card"></i>
              <span>Motoristas</span></a>
            </li>

          <?php } ?>

          <?php if($_SESSION['nivel_usuario'] == 'Master' OR $_SESSION['nivel_usuario'] == 'Administrador' OR $_SESSION['nivel_usuario'] == 'Gestor Abastecimento'){ ?>

            <!-- Nav Item - Posto -->
            <li class="nav-item <?php echo @$postoAtivo; ?>">
              <a class="nav-link" href="index.php?acao=<?php echo $posto; ?>">
                <i class="fas fa-gas-pump"></i>
                <span>Posto</span></a>
              </li>

          <?php } ?>

          <?php if($_SESSION['nivel_usuario'] == 'Master' OR $_SESSION['nivel_usuario'] == 'Gestor Abastecimento' ){ ?>

              <!-- Nav Item - Rodagem -->
              <li class="nav-item <?php echo @$rodagemAtivo; ?>">
                <a class="nav-link" href="index.php?acao=<?php echo $rodagem; ?>">
                  <i class="fas fa-route"></i>
                  <span>Abastecimentos</span></a>
                </li>

          <?php } ?>

          <?php if($_SESSION['nivel_usuario'] == 'Master' OR $_SESSION['nivel_usuario'] == 'Gestor Oficina' ){ ?>

                <!-- Nav Item - Pneus -->
              <li class="nav-item <?php echo @$pneusAtivo; ?>">
                <a class="nav-link" href="index.php?acao=<?php echo $pneus; ?>">
                  <i class="fas fa-truck-monster"></i>
                  <span>Manutenção</span></a>
                </li>

          <?php } ?>

          <?php if($_SESSION['nivel_usuario'] == 'Master' OR $_SESSION['nivel_usuario'] == 'Gestor Oficina' ){ ?>

                 <!-- Nav Item - checklist -->
              <li class="nav-item <?php echo @$checklistAtivo; ?>">
                <a class="nav-link" href="index.php?acao=<?php echo $checklist; ?>">
                  <i class="fas fa-list-ul"></i>
                  <span>Checklist</span></a>
                </li>
                
          <?php } ?>

          <?php if($_SESSION['nivel_usuario'] == 'Administrador' ){ ?>

                 <!-- Nav Item - checklist -->
              <li class="nav-item <?php echo @$checklistAtivo; ?>">
                <a class="nav-link" href="views/relatorios/relatorio-combustivel.php?contrato=<?php echo $_SESSION['contrato']; ?>">
                  <i class="fas fa-calendar-alt"></i>
                  <span>Relatório - Combustível</span></a>
                </li>
                
          <?php } ?>

           <?php if($_SESSION['nivel_usuario'] == 'Master' ){ ?>

                 <!-- Nav Item - checklist -->
              <li class="nav-item <?php echo @$checklistAtivo; ?>">
                <a class="nav-link" href="views/relatorios/relatorio-combustivel2.php">
                  <i class="fas fa-calendar-alt"></i>
                  <span>Relatório - Combustível</span></a>
                </li>
                
          <?php } ?>

          <?php if($_SESSION['nivel_usuario'] == 'Master' ){ ?>

                 <!-- Nav Item - checklist -->
              <li class="nav-item <?php echo @$checklistAtivo; ?>">
                <a class="nav-link" href="views/relatorios/relatorio-manutencao2.php">
                  <i class="fas fa-calendar-alt"></i>
                  <span>Relatório - Manutenção</span></a>
                </li>
                
          <?php } ?>


                <!-- Divider -->
                <hr class="sidebar-divider d-none d-md-block">

                <!-- Sidebar Toggler (Sidebar) -->
                <div class="text-center d-none d-md-inline">
                  <button class="rounded-circle border-0" id="sidebarToggle"></button>
                </div>

              </ul>
              <!-- End of Sidebar -->

              <!-- Content Wrapper -->
              <div id="content-wrapper" class="d-flex flex-column">

                <!-- Main Content -->
                <div id="content">

                  <!-- Topbar -->
                  <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">

                    <!-- Sidebar Toggle (Topbar) -->
                    <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
                      <i class="fa fa-bars"></i>
                    </button>

                    <!-- Topbar Search 
                    <form class="d-none d-sm-inline-block form-inline mr-auto ml-md-3 my-2 my-md-0 mw-100 navbar-search">
                      <div class="input-group">
                        <input type="text" class="form-control bg-light border-0 small" placeholder="Search for..." aria-label="Search" aria-describedby="basic-addon2">
                        <div class="input-group-append">
                          <button class="btn btn-primary" type="button">
                            <i class="fas fa-search fa-sm"></i>
                          </button>
                        </div>
                      </div>
                    </form>-->

                    <!-- Topbar Navbar -->
                    <ul class="navbar-nav ml-auto">

                      <!-- Nav Item - Search Dropdown (Visible Only XS) 
                      <li class="nav-item dropdown no-arrow d-sm-none">
                        <a class="nav-link dropdown-toggle" href="#" id="searchDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                          <i class="fas fa-search fa-fw"></i>
                        </a>-->
                        
                        <!-- Dropdown - Messages -->
                        <div class="dropdown-menu dropdown-menu-right p-3 shadow animated--grow-in" aria-labelledby="searchDropdown">
                          <form class="form-inline mr-auto w-100 navbar-search">
                            <div class="input-group">
                              <input type="text" class="form-control bg-light border-0 small" placeholder="Search for..." aria-label="Search" aria-describedby="basic-addon2">
                              <div class="input-group-append">
                                <button class="btn btn-primary" type="button">
                                  <i class="fas fa-search fa-sm"></i>
                                </button>
                              </div>
                            </div>
                          </form>
                        </div>
                      </li>

                      

                      <div class="topbar-divider d-none d-sm-block"></div>

                      <!-- Nav Item - User Information -->
                      <li class="nav-item dropdown no-arrow">
                        <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                          <span class="mr-2 d-none d-lg-inline text-gray-600 small"><?php echo $_SESSION['nome_usuario']; ?></span>
                          <img class="img-profile rounded-circle" src="https://source.unsplash.com/QAB-WJcbgJk/60x60">
                        </a>
                        <!-- Dropdown - User Information -->
                        <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in" aria-labelledby="userDropdown">
                          <a class="dropdown-item" href="#">
                            <i class="fas fa-user fa-sm fa-fw mr-2 text-gray-400"></i>
                            Profile
                          </a>
                          <div class="dropdown-divider"></div>
                          <a class="dropdown-item" href="../logout.php" data-toggle="modal" data-target="#logoutModal">
                            <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                            Logout
                          </a>
                        </div>
                      </li>

                    </ul>

                  </nav>
                  <!-- End of Topbar -->
