<?php
include('conexao.php');

session_start();

if (!isset($_SESSION['nivel_usuario'])) {
  echo "<script language='javascript'>window.location='../../../index.php'; </script>";

  exit();
}

$status = 10;

@$dataInicial = $_GET['dataInicial'];
@$dataFinal = $_GET['dataFinal'];

$dataIni = implode('/', array_reverse(explode('-', $dataInicial)));
$dataFin = implode('/', array_reverse(explode('-', $dataFinal)));

?>

<!DOCTYPE html>
<html>

<head>
  <title>Movimentações - Contrato</title>
  <meta content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0, shrink-to-fit=no' name='viewport' />
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <link rel="stylesheet" href="css.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.11/jquery.mask.min.js"></script>
</head>

<body>
  <nav class="navbar navbar-expand-lg navbar-light bg-light">
    <a class="navbar-brand" href=".../../../../index.php"><big><big><i class="fa fa-arrow-left"></i></big></big></a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#conteudoNavbarSuportado" aria-controls="conteudoNavbarSuportado" aria-expanded="false" aria-label="Alterna navegação">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="conteudoNavbarSuportado">
      <ul class="navbar-nav mr-auto">

      </ul>
      <form class="form-inline my-2 my-lg-0">
        <select class="form-control mr-2" id="contrato" name="contrato">
          <option value="">Selecione um contrato...</option>
          <?php

          $query = "SELECT * FROM contratos  ORDER BY empresa asc";
          $result = mysqli_query($conexao, $query);

          if (count($result)) {
            while ($res_1 = mysqli_fetch_array($result)) {
          ?>
              <option value="<?php echo $res_1['empresa']; ?>"><?php echo $res_1['empresa']; ?></option>
          <?php
            }
          }
          ?>
        </select>

        <select class="form-control mr-2" id="veic_placa" name="status">
          <option value="">Selecione um veículo...</option>
          <?php

          $query = "SELECT * FROM veiculos WHERE placa != '' ORDER BY placa asc";
          $result = mysqli_query($conexao, $query);

          if (count($result)) {
            while ($res_1 = mysqli_fetch_array($result)) {
          ?>
              <option value="<?php echo $res_1['placa']; ?>"><?php echo $res_1['placa']; ?></option>
          <?php
            }
          }
          ?>
        </select>

        <select class="form-control mr-2" id="veic_cod" name="cod_vei">
          <option value="">Selecione um veículo...</option>
          <?php

          $query = "SELECT * FROM veiculos WHERE cod != '' ORDER BY cod asc";
          $result = mysqli_query($conexao, $query);

          if (count($result)) {
            while ($res_1 = mysqli_fetch_array($result)) {
          ?>
              <option value="<?php echo $res_1['cod']; ?>"><?php echo $res_1['cod']; ?></option>
          <?php
            }
          }
          ?>
        </select>

        <input name="dataInicial" class="form-control mr-sm-2" type="date" placeholder="Pesquisar" aria-label="Pesquisar">
        <input name="dataFinal" class="form-control mr-sm-2" type="date" placeholder="Pesquisar" aria-label="Pesquisar">
        <button name="buttonPesquisar" class="btn btn-outline-success my-2 my-sm-0" type="submit"><i class="fa fa-search"></i></button>
      </form>
    </div>
  </nav>

  <div class="container">
    <br>
    <div class="row">
    </div>

    <div class="content">
      <div class="row">
        <div class="col-md-12">
          <div class="card">
            <div class="card-header" id="noprint">
              <h4 class="card-title"> <img src="logo.jpeg" alt="" width="130" height="69"></br>Prefeitura Municipal de Santo ântonio de pádua</br>sistema de controle de abastecimento </h4>
            </div>

            <div class="card-header">
              <h4 class="card-title"> Movimentações de Abatecimentos </h4>
              <p><?= (@$_GET['contrato'] != '') ? '<b>Secretaria: </b>' . $_GET['contrato'] : ' ' ?></p>
              <?php

              if ($dataInicial != '') { ?>
                <small><b> Data Inicial:</b> <?php echo $dataIni; ?> <b> Data Final:</b> <?php echo $dataFin; ?> </small>
              <?php } ?>
            </div>
            <div class="card-body">
              <div class="table-responsive">
                <!--LISTAR TODOS OS ORÇAMENTOS -->
                <?php
                if (isset($_GET['buttonPesquisar'])) {
                  $dataInicial = $_GET['dataInicial'];
                  $dataFinal = $_GET['dataFinal'];
                  $status = $_GET['status'];
                  $contrato = $_GET['contrato'];

                  if ($dataInicial == '') {
                    $dataInicial = Date('Y-m-d');
                  }

                  if ($dataFinal == '') {
                    $dataFinal = Date('Y-m-d');
                  }

                  /* 
                    DIEGO - 09/12/2021 
                    OTIMIZAÇÃO DE CÓDIGO PARA QUERY SQL
                  */
                  $query = "select * from abastecimentos where 1 = 1 ";

                  if ($_GET['dataInicial'] != '') {
                    $query .= " AND data_abast BETWEEN '$dataInicial' and '$dataFinal' ";
                  } else {
                  }

                  if ($_GET['status'] != '') {
                    $query .= " AND veiculo = '$status' ";
                  }

                  if ($_GET['contrato'] != '') {
                    $query .= " AND contrato = '$contrato' ";
                  }

                  $query .= " order by data_abast asc";
                } else {
                  echo "<h3> Efetue a busca através dos filtros acima! </h3>";
                  die;
                  $query = "select * from abastecimentos where MONTH(data_abast) = MONTH(NOW()) order by data_abast asc";
                }

                // echo $query;
                // die;

                $result = mysqli_query($conexao, $query);
                //$dado = mysqli_fetch_array($result);
                $row = mysqli_num_rows($result);

                if ($row == '') {
                  echo "<h3> Não existem dados cadastrados no banco </h3>";
                } else {
                ?>
                  <table class="table">
                    <thead class=" text-primary">
                      <th class="text-uppercase">Data</th>
                      <th class="text-uppercase">NR.nota</th>
                      <!-- <th class="text-uppercase">cod.</th> -->
                      <th class="text-uppercase">veiculo</th>
                      <th class="text-uppercase">placa</th>
                      <!--<th class="text-uppercase">km</th>-->
                      <th class="text-uppercase">tipo</th>
                      <th class="text-uppercase">valor</th>
                      <th class="text-uppercase">litros</th>
                      <th class="text-uppercase">total</th>
                      <!-- <th class="text-uppercase">secretaria</th> -->
                    </thead>
                    <tbody>
                      <?php
                      $total_gastos1 = 0;
                      while ($res_1 = mysqli_fetch_array($result)) {
                        $codigo = $res_1["cod_abast"];
                        $data = $res_1["data_abast"];
                        $veiculo = $res_1["veiculo"];
                        $litros = $res_1["litros"];
                        $contrat = $res_1["contrato"];
                        $valor = $res_1["total_abast"];
                        $km = $res_1["km_atual"];
                        $combu = $res_1["tipo_combu"];
                        $p_litro = $res_1["p_litro"];
                        $litros = $res_1["litros"];
                        $cod_vei = $res_1["cod_vei"];
                        $id = $res_1["id_abastecimento"];
                        $data2 = implode('/', array_reverse(explode('-', $data)));
                        $id = $res_1["id_abastecimento"];
                        $c = count($res_1);

                        $query2 = "select * from veiculos where placa = '" . $veiculo . "' ";
                        $result2 = mysqli_query($conexao, $query2);
                        $res_vendas1 = mysqli_fetch_array($result2);
                        $veiculo2 = $res_vendas1['estilo'];

                        $l1 = number_format(($p_litro), 2, '.', '');
                        $t1 = $litros;
                        $resu1 = $l1 * $t1;
                        $total_gastos1 = $total_gastos1 + $resu1;
                        $total_gastos3 = floor($resu1 * 100) / 100;

                        $qLitros = $res_1["qLitros"];
                        $vUnitLitro = $res_1["vUnitLitro"];
                        $vDesconto = $res_1["vDesconto"];
                        $vTotal = $res_1["vTotal"];
                      ?>

                        <tr>
                          <td><?php echo $data2; ?></td>
                          <td>
                              <font color="green"><?php echo $codigo; ?></font>
                            </td>
                          <!-- <td><?php echo $cod_vei; ?></td> -->
                          <td><?php echo $veiculo2; ?></td>
                          <td><?php echo $veiculo; ?></td>
                          <!--<td><?php echo $km; ?></td>-->
                          <td><?php echo $combu; ?></td>
                          <td>R$ <?php echo number_format(($vUnitLitro), 3, ',', '.'); ?></td>
                          <td><?php echo number_format(($qLitros), 3, ',', '.'); ?> L</td>
                          <td>R$ <?php echo number_format(($vTotal), 2, ',', '.'); ?></td>
                          <!-- <td><?php echo $contrat; ?></td> -->
                        </tr>
                      <?php
                      }
                      ?>
                    </tbody>
                  </table>
                <?php
                }
                ?>
              </div>
            </div>
          </div>
        </div>
      </div>

      <?php
      if ($row == '') {
      } else {
        //TOTALIZAR OS VALORES DE ENTRADAS
        if (isset($_GET['buttonPesquisar'])) {
          $dataInicial = $_GET['dataInicial'];
          $dataFinal = $_GET['dataFinal'];
          $status = $_GET['status'];
          $contrat = $_GET['contrato'];

          if ($dataInicial == '') {
            $dataInicial = Date('Y-m-d');
          }

          if ($dataFinal == '') {
            $dataFinal = Date('Y-m-d');
          }

          /* 
            DIEGO - 10/12/2021 
            OTIMIZAÇÃO DE CÓDIGO PARA QUERY SQL
          */
          $query_totalizacao = "select tipo_combu, vUnitLitro, sum(qLitros) as Litros, sum(desconto) as Descontos, sum(vTotal) as Total from abastecimentos where 1 = 1 ";

          if ($_GET['dataInicial'] != '') {
            $query_totalizacao .= " AND data_abast BETWEEN '$dataInicial' and '$dataFinal' ";
          } else {
          }

          if ($_GET['status'] != '') {
            $query_totalizacao .= " AND veiculo = '$status' ";
          }

          if ($_GET['contrato'] != '') {
            $query_totalizacao .= " AND contrato = '$contrato' ";
          }

          $query_totalizacao .= " group by tipo_combu, vUnitLitro order by tipo_combu, vUnitLitro";

		  //echo $query_totalizacao;
  		  /*
			select 
				tipo_combu, 
				vUnitLitro, 
				sum(qLitros) as Litros, 
				sum(desconto) as Descontos, 
				sum(vTotal) as Total 
			from 
				abastecimentos 
			where 
				1 = 1 AND 
				data_abast BETWEEN '2021-12-01' and '2021-12-31' AND 
				contrato = 'SECRETARIA DE OBRAS' 
			group by 
				tipo_combu, vUnitLitro 
			order 
				by tipo_combu, vUnitLitro 		  
		  */
			

          $query_itens = "select COUNT(*) as Quant from abastecimentos where 1 = 1 ";

          if ($_GET['dataInicial'] != '') {
            $query_itens .= " AND data_abast BETWEEN '$dataInicial' and '$dataFinal' ";
          } else {
          }

          if ($_GET['status'] != '') {
            $query_itens .= " AND veiculo = '$status' ";
          }

          if ($_GET['contrato'] != '') {
            $query_itens .= " AND contrato = '$contrato' ";
          }

          $query_itens .= " group by tipo_combu, vUnitLitro order by tipo_combu, vUnitLitro";
        } else {
          $query_entradas = "select SUM(total_abast) as total from abastecimentos where MONTH(data_abast) = MONTH(NOW()) order by data_abast asc";
          $query_saidas = "select SUM(total_abast) as total from abastecimentos where MONTH(data_abast) = MONTH(NOW()) order by data_abast asc";
          $gasolina = "select SUM(total_abast) as total from abastecimentos where MONTH(data_abast) = MONTH(NOW()) and tipo_combu = 'Gasolina comum' order by data_abast asc";
          $gasolina_q = "select SUM(litros) as total from abastecimentos where MONTH(data_abast) = MONTH(NOW()) and tipo_combu = 'Gasolina comum' order by data_abast asc";
          $gasolina_aditivada = "select SUM(total_abast) as total from abastecimentos where MONTH(data_abast) = MONTH(NOW()) and tipo_combu = 'Gasolina adivitivada' order by data_abast asc";
          $gasolina_aditivadaq = "select SUM(litros) as total from abastecimentos where MONTH(data_abast) = MONTH(NOW()) and tipo_combu = 'Gasolina adivitivada' order by data_abast asc";
          $diesel = "select SUM(total_abast) as total from abastecimentos where MONTH(data_abast) = MONTH(NOW()) and tipo_combu = 'Diesel comum' order by data_abast asc";
          $dieselq = "select SUM(litros) as total from abastecimentos where MONTH(data_abast) = MONTH(NOW()) and tipo_combu = 'Diesel comum' order by data_abast asc";
          $diesel_s10 = "select SUM(total_abast) as total from abastecimentos where MONTH(data_abast) = MONTH(NOW()) and tipo_combu = 'Diesel s10' order by data_abast asc";
          $diesel_s10q = "select SUM(litros) as total from abastecimentos where MONTH(data_abast) = MONTH(NOW()) and tipo_combu = 'Diesel s10' order by data_abast asc";
          $group = "SELECT tipo_combu,p_litro, SUM(litros) As TotalLitros FROM abastecimentos GROUP BY tipo_combu, p_litro";
          $itens = "SELECT COUNT(*) AS number FROM abastecimentos";
        }

        /* DIEGO - 10/12/2021 */
        $result_totalizacao = mysqli_query($conexao, $query_totalizacao);
        $result_itens = mysqli_query($conexao, $query_itens);
      ?>

        <?php
        while ($res_itens = mysqli_fetch_array($result_itens)) {
          $itens_relatorio = $res_itens["Quant"];
        ?>
        <?php } ?>

        <div class="row mt-3">
          <div class="col-md-6">

          </div>

          <div class="col-md-12">
            <?php
            $total_gastos = 0;
            $total_geral = 0;

            while ($res_total = mysqli_fetch_array($result_totalizacao)) {
              $l = number_format(($res_total["vUnitLitro"]), 2, '.', '');
              $total_geral = $total_geral + $res_total["Total"];
            ?>

              <p align="left">
                <font size="3"><b><?php echo $res_total["tipo_combu"] ?> :</b> &nbsp;&nbsp;&nbsp;&nbsp; <b>Valor:</b> R$ <?php echo number_format(($res_total["vUnitLitro"]), 3, ',', '.'); ?> | <b>Quantidade:</b> <?php echo number_format(($res_total["Litros"]), 3, ',', '.'); ?>/L | <b>Desc.:</b> R$ <?php echo number_format(($res_total["Descontos"]), 2, ',', '.'); ?> | <b>Total:</b> R$ <?php echo number_format(($res_total["Total"]), 2, ',', '.'); ?></font>
              </p>
            <?php } ?>

            <p align="left">
              <font size="3"><b>Itens:</b> <?php echo $itens_relatorio; ?></font>
            </p>

            <p align="left">
              <font size="3"><b>Total: R$ <?php echo number_format(($total_geral), 2, ',', '.'); ?></b></font>
            </p>
          </div>
        </div>
      <?php } ?>
</body>

</html>