<?php 


$pagina = "views/usuarios/";

$pagina_pag = intval(@$_GET['pagina']);
$itens_pag = intval(@$_GET['itens']);


?>



<!-- Begin Page Content -->
<div class="container-fluid">

  <form method="post" id="frm">
    <input type="hidden" name="pag" id="pag" value="<?php echo $pagina_pag ?>">
    <input type="hidden" name="itens_pag" id="itens_pag" value="<?php echo $itens_pag ?>">
  </form>


  <div class="row">

    <div class="col-sm-6">

      <!-- Topbar Search -->
      <form class="form-inline mr-auto ml-md-3 my-2 my-md-0 mw-100 navbar-search">
        <div class="input-group">
          <input type="search" class="form-control bg-light border-0 small" placeholder="Pesquisar..." aria-label="Search" name="txtbuscar" id="txtbuscar" aria-describedby="basic-addon2">
          <div class="input-group-append">
            <button class="btn btn-primary" type="submit" id="btn-buscar">
              <i class="fas fa-search fa-sm"></i>
            </button>
          </div>
        </div>
      </form>

    </div>

    <div class="col-sm-6 text-right">

      <a href="index.php?acao=<?php echo $pagina; ?>usuarios&funcao=novo" class="btn btn-primary" >Cadastrar</a>
    </div>

  </div>

  <p></p>


  <!-- Page Heading
  <h1 class="h3 mb-2 text-right">
    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#ModalCadastro">
      Cadastrar Veículo
    </button>
  </h1>-->

  <!-- DataTales Example -->
  <div class="card shadow mb-4">

    <?php 

          //TOTALIZAR OS REGISTROS 
    $res_todos = $pdo->query("SELECT * from usuarios");
    $dados_total = $res_todos->fetchAll(PDO::FETCH_ASSOC);
    $num_total = count($dados_total);

    ?>

    <div class="card-header py-6">
      <h6 class="m-0 font-weight-bold text-primary">Usúarios Cadastrados (<?php echo $num_total; ?>)</h6>
    </div>


    <div class="card-body">

      <div id="listar"></div>

    </div>
  </div>

</div>
<!-- /.container-fluid -->


<!-- Modal -->
<div class="modal fade" id="ModalCadastro" data-backdrop="static" data-keyboard="false" tabindex="-1" role="dialog" aria-labelledby="staticBackdropLabel" aria-hidden="true">
  <div class="modal-dialog modal-xl">
    <div class="modal-content">
      <div class="modal-header">
        <?php if (@$_GET['funcao'] == 'editar') {

          $titulo_modal = 'Editar Dados';
          $botao = 'Editar';

          //recuperando os dados conforme ID
          $id = @$_GET['id'];
          $res = $pdo->query("SELECT * FROM usuarios WHERE id_usuario = '$id' ");
          $dados = $res->fetchAll(PDO::FETCH_ASSOC);
          
          $nome             = $dados[0]['nome'];
          $email            = $dados[0]['email'];
          $cpf              = $dados[0]['cpf'];
          $contrato         = $dados[0]['contrato'];
          $nivel            = $dados[0]['nivel'];
          $senha            = $dados[0]['senha'];
          


        }elseif (@$_GET['funcao'] == 'visualizar') {
          $titulo_modal = 'Visualizar Dados';
          $botao = 'Visualizar';

          //recuperando os dados conforme ID
          $id = @$_GET['id'];
          $res = $pdo->query("SELECT * FROM usuarios WHERE id_usuario = '$id' ");
          $dados = $res->fetchAll(PDO::FETCH_ASSOC);
          
          $nome             = $dados[0]['nome'];
          $email            = $dados[0]['email'];
          $contrato         = $dados[0]['contrato'];
          $cpf              = $dados[0]['cpf'];
          $nivel            = $dados[0]['nivel'];
          
        }
        else{

          $titulo_modal = 'Inserir Novo Registro';
          $botao = 'Salvar';

        }
        ?>
        <h5 class="modal-title" id="exampleModalLabel"><?php echo $titulo_modal; ?></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">

        <form method="post" id="form-<?php echo $botao; ?>">
          <div class="form-row">

            <div class="form-group col-md-4">
              <label><span class="text-danger"><b>*</b></span> Nome</label>
              
              <input type="text" name="nome" class="form-control" value="<?php echo @$nome; ?>" onkeyup="this.value = this.value.toUpperCase();">

            </div>

            <div class="form-group col-md-4">
              <label><span class="text-danger"><b>*</b></span> E-mail</label>
              <input type="text" name="email" class="form-control" value="<?php echo @$email; ?>" >

               <input type="hidden" name="id_utilizador" class="form-control" value="1">
            </div>

             <div class="form-group col-md-4">
              <label><span class="text-danger"></span> CPF</label>
              <input type="text" onkeypress="$(this).mask('000.000.000-00');" name="cpf" class="form-control" value="<?php echo @$cpf; ?>">
            </div>

          </div>

          <div class="form-row">

              <div class="form-group col-md-4">
              <label> Contrato</label>

              <select name="contrato" id="contrato" class="form-control selectpicker" data-live-search="true" <?=(@$_GET['funcao'] == 'visualizar')? ' disabled ' : ' '?>>
                <option value="">SELECIONE...</option>
                <?php 

                //TRAZER TODOS OS REGISTROS EXISTENTES
                $res_posto = $pdo->query("SELECT * from contratos order by empresa asc");
                $dados_posto = $res_posto->fetchAll(PDO::FETCH_ASSOC);

                for ($i=0; $i < count($dados_posto); $i++) { 
                  foreach ($dados_posto[$i] as $key => $value) {
                  }

                  $id_contrato = $dados_posto[$i]['id_contrato']; 
                  $empresa     = $dados_posto[$i]['empresa'];


                  echo '<option value="'.$empresa.'" '. (($contrato == $empresa) ? 'selected' : '') .'>'.$empresa.'</option>';



                }
                ?>
              </select>

            </div>

            <?php 

            if (@$_GET['funcao'] == 'visualizar') {
              echo '';
            }else{

              echo ' <div class="form-group col-md-4">
                <label><span class="text-danger"><b>*</b></span> Senha</label>

                <input type="password" name="senha" class="form-control" id="senha" value="'.@$senha.'" >  
              </div> ';

            }

             ?>

      

            <div class="form-group col-md-4">
              <label><span class="text-danger"><b>*</b></span> Nível de Acesso</label>


              <select name="nivel" id="" class="form-control">
                <option value="" class="text-center">SELECIONE...</option>
                <option value="Master" <?=(@$nivel == 'Master')?'selected':''?>>Master</option>
                <option value="Administrador" <?=(@$nivel == 'Administrador')?'selected':''?>>Administrador</option> 
                <option value="Gestor Abastecimento" <?=(@$nivel == 'Gestor Abastecimento')?'selected':''?>>Gestor Abastecimento</option>
                <option value="Gestor Oficina" <?=(@$nivel == 'Gestor Oficina')?'selected':''?>>Gestor Oficina</option>
              </select>
            

            </div>

            

          </div>

          
        

          <div align="center" id="mensagem" class="" ></div>


        </div>
        <div class="modal-footer">

          <input type="hidden" id="id" name="id"  value="<?php echo @$id; ?>">
          <input type="hidden" id="reg_antigo" name="reg_antigo"  value="<?php echo @$nome; ?>">

          <button type="button" class="btn btn-secondary" id="btn-fechar" data-dismiss="modal">Fechar</button>
           <?php 

          if (@$_GET['funcao'] == 'visualizar') {
            
            echo '';
          }else{

            echo '<button name="btn-cad" id="btn-cad" class="btn btn-info"> '.$botao.' </button>';
          }

          ?>
        </form> 
      </div> 
    </div>
  </div>
</div>

<!--AJAX PARA INSERÇÃO DOS DADOS COM IMAGEM -->
<script type="text/javascript">
  $("#form-Salvar").submit(function () {
    var pag = "<?=$pagina?>";
    event.preventDefault();
    var formData = new FormData(this);

    $.ajax({
     url: pag + "/inserir.php",
     type: 'POST',
     data: formData,

     success: function(mensagem){

      $('#mensagem').removeClass()

      if(mensagem == 'Cadastrado com Sucesso!!'){

        $('#btn-buscar').click();
        $('#btn-fechar').click();
        

      }else{

        $('#mensagem').addClass('text-danger')
      }

      $('#mensagem').text(mensagem)

    },


    cache: false,
    contentType: false,
    processData: false,
        xhr: function() {  // Custom XMLHttpRequest
          var myXhr = $.ajaxSettings.xhr();
            if (myXhr.upload) { // Avalia se tem suporte a propriedade upload
              myXhr.upload.addEventListener('progress', function () {
                /* faz alguma coisa durante o progresso do upload */
              }, false);
            }
            return myXhr;
          }
        });
  });
</script>

<!--AJAX PARA editar DOS DADOS COM IMAGEM -->
<script type="text/javascript">
  $("#form-Editar").submit(function () {
    var pag = "<?=$pagina?>";
    event.preventDefault();
    var formData = new FormData(this);

    $.ajax({
     url: pag + "/editar.php",
     type: 'POST',
     data: formData,

     success: function(mensagem){

      $('#mensagem').removeClass()

      if(mensagem == 'Editado com Sucesso!!'){

        $('#btn-buscar').click();
        $('#btn-fechar').click();

      }else{

        $('#mensagem').addClass('text-danger')
      }

      $('#mensagem').text(mensagem)

    },


    cache: false,
    contentType: false,
    processData: false,
        xhr: function() {  // Custom XMLHttpRequest
          var myXhr = $.ajaxSettings.xhr();
            if (myXhr.upload) { // Avalia se tem suporte a propriedade upload
              myXhr.upload.addEventListener('progress', function () {
                /* faz alguma coisa durante o progresso do upload */
              }, false);
            }
            return myXhr;
          }
        });
  });
</script>

<!--AJAX PARA BUSCAR OS DADOS -->
<script type="text/javascript">
  $(document).ready(function(){

    var pag = "<?=$pagina?>";
    $('#btn-buscar').click(function(event){
      event.preventDefault(); 
      
      $.ajax({
        url: pag + "/listar.php",
        method: "post",
        data: $('form').serialize(),
        dataType: "html",
        success: function(result){
          $('#listar').html(result)
          
        },
        

      })

    })

    
  })
</script>



<!--AJAX PARA BUSCAR OS DADOS PELA TXT -->
<script type="text/javascript">
  $('#txtbuscar').keyup(function(){
    $('#btn-buscar').click();
  })
</script>



<!--CHAMADA DA MODAL PARA NOVO REGISTRO OU EDIÇÃO -->
<?php 
if(@$_GET['funcao'] == 'novo' || @$_GET['funcao'] == 'visualizar' || @$_GET['funcao'] == 'editar'){ 

  ?>
  <script>$('#ModalCadastro').modal("show");</script>
<?php } ?>



<!--AJAX PARA EXCLUSÃO DOS DADOS -->
<script type="text/javascript">
  $(document).ready(function(){
    var pag = "<?=$pagina?>";
    $('#btn-deletar').click(function(event){
      event.preventDefault();
      
      $.ajax({
        url: pag + "/excluir.php",
        method: "post",
        data: $('form').serialize(),
        dataType: "text",
        success: function(mensagem){

          $('#mensagem_excluir').removeClass()

          if(mensagem == 'Excluído com Sucesso!!'){

            $('#txtbuscar').val('')
            $('#btn-buscar').click();
            $('#btn-cancelar-excluir').click();

          }else{

            $('#mensagem_excluir').addClass('text-danger')
          }

          $('#mensagem_excluir').text(mensagem)

          

        },
        
      })
    })
  })
</script>

<!--CHAMADA DA MODAL DELETAR -->
<?php 
if(@$_GET['funcao'] == 'excluir' && @$item_paginado == ''){ 
  $id = $_GET['id'];
  ?>

  <div class="modal" id="modal-deletar" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header bg-danger text-white text-center">
          <h5 class="modal-title">Excluir Registro</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">

          <p>Deseja realmente Excluir este Registro?</p>

          <div align="center" id="mensagem_excluir" class="">

          </div>

        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal" id="btn-cancelar-excluir">Cancelar</button>
          <form method="post">
            <input type="hidden" id="id"  name="id" value="<?php echo @$id ?>" required>

            <button type="button" id="btn-deletar" name="btn-deletar" class="btn btn-danger">Excluir</button>
          </form>
        </div>
      </div>
    </div>
  </div>

  
<?php } ?>

<script>$('#modal-deletar').modal("show");</script>




<!-- Modal para criar usuario -->
<div class="modal fade" id="modalusuario" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content modal-xl">
      <div class="modal-header">

        <?php 

        //recuperando os dados conforme ID
        $id = @$_GET['id'];
        $res = $pdo->query("SELECT * FROM postos WHERE id_posto = '$id' ");
        $dados = $res->fetchAll(PDO::FETCH_ASSOC);
        
        $rsocial          = $dados[0]['rsocial'];
        $fantasia         = $dados[0]['fantasia'];
        $cnpj             = $dados[0]['cnpj'];
        $cep              = $dados[0]['cep'];
        $rua              = $dados[0]['rua'];
        $bairro           = $dados[0]['bairro'];
        $cidade           = $dados[0]['cidade'];
        $uf               = $dados[0]['uf'];
        $email            = $dados[0]['email'];
        $telefone         = $dados[0]['telefone'];
        $gasolina         = $dados[0]['gasolina'];
        $alcool           = $dados[0]['alcool'];
        $diesel           = $dados[0]['diesel'];
        $situacao         = $dados[0]['situacao'];


        ?>
        <h5 class="modal-title" id="exampleModalLabel">Criar Usuário Para: <?php echo $rsocial; ?> </h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Fechar">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">


        <form method="post" id="form-usuario">

          <div class="form-row">

            <div class="form-group col-md-6">
              <label><span class="text-danger"><b>*</b></span> Usuário</label>
              
              <input type="text" name="email" class="form-control">

            </div>

            <div class="form-group col-md-6">
              <label> Senha</label>
              <input type="password" name="senha" class="form-control">
            </div>


          </div>   

          <div align="center" id="mensagem3" class="">    



          </div>
          <div class="modal-footer">

            <input type="hidden" name="id_utilizador" class="form-control" value="<?php echo @$id ?>">
            <input type="hidden" name="nome" class="form-control" value="<?php echo $rsocial ?>">
            <input type="hidden" name="nivel" class="form-control" value="Posto">

            <button type="button" class="btn btn-secondary" id="btn-fechar3" data-dismiss="modal">Fechar</button>
          <button name="btn-cad" id="btn-cad" class="btn btn-info">Criar Usuário</button>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>


<!--AJAX PARA INSERÇÃO do usuario -->
<script type="text/javascript">
  $("#form-usuario").submit(function () {
    var pag = "<?=$pagina?>";
    event.preventDefault();
    var formData = new FormData(this);

    $.ajax({
     url: pag + "/usuario.php",
     type: 'POST',
     data: formData,

     success: function(mensagem){

      $('#mensagem3').removeClass()

      if(mensagem == 'Usuário Cadastrado com Sucesso!!'){

        $('#btn-buscar').click();
        $('#btn-fechar3').click();
        

      }else{

        $('#mensagem3').addClass('text-danger')
      }

      $('#mensagem3').text(mensagem)

    },


    cache: false,
    contentType: false,
    processData: false,
        xhr: function() {  // Custom XMLHttpRequest
          var myXhr = $.ajaxSettings.xhr();
            if (myXhr.upload) { // Avalia se tem suporte a propriedade upload
              myXhr.upload.addEventListener('progress', function () {
                /* faz alguma coisa durante o progresso do upload */
              }, false);
            }
            return myXhr;
          }
        });
  });
</script>

<!--CHAMADA DA MODAL PARA criar usuario -->
<?php 
if(@$_GET['funcao'] == 'usuario' ){ 

  ?>
  <script>$('#modalusuario').modal("show");</script>
<?php } ?>

<!--AJAX PARA LISTAR OS DADOS -->
<script type="text/javascript">
  $(document).ready(function(){

    var pag = "<?=$pagina?>";

    $.ajax({
      url: pag + "/listar.php",
      method: "post",
      data: $('#frm').serialize(),
      dataType: "html",
      success: function(result){
        $('#listar').html(result)

      },

      
    })
  })
</script>







