<?php 

session_start();

include_once("../../../system/conexao.php");

$id = $_POST['id'];
$reg_antigo = $_POST['reg_antigo'];

$tipo_veiculo      = $_POST['tipo_veiculo']?: null;
$estilo            = $_POST['estilo']?: null;
$placa             = $_POST['placa']?: null;
$cod               = $_POST['cod']?: null;
$km                = $_POST['km']?: null;
$implemento        = $_POST['implemento']?: null;
$v_implemento      = str_replace(',','.', str_replace('.','', $_POST['v_implemento']))?: null;
$renavan           = $_POST['renavan']?: null;
$chassis           = $_POST['chassis']?: null;
$cor               = $_POST['cor']?: null;
$ano               = $_POST['ano']?: null;
$seguro            = str_replace(',','.', str_replace('.','', $_POST['seguro']))?: null;
$ipva              = str_replace(',','.', str_replace('.','', $_POST['ipva']))?: null;
$seguro_obri       = str_replace(',','.', str_replace('.','', $_POST['seguro_obri']))?: null;
$licenciamento     = str_replace(',','.', str_replace('.','', $_POST['licenciamento']))?: null;
$vencimento_doc    = $_POST['vencimento_doc']?: null;
$cap               = $_POST['cap']?: null;
$combustivel       = $_POST['combustivel']?: null;
$s_financeira      = $_POST['s_financeira']?: null;
$financeira        = $_POST['financeira']?: null;
$valor_financiado  = str_replace(',','.', str_replace('.','', $_POST['valor_financiado']))?: null;
$inicio_gto        = $_POST['inicio_gto']?: null;
$parcelas          = $_POST['parcelas']?: null;
$parcelas_vencer   = 0;
$valor_vencer      = 0;
$valor_pago        = 0;
$nlacre            = $_POST['nlacre']?: null;
$v_tacofrafo       = $_POST['v_tacofrafo'] ?: null;
$situacao          = $_POST['situacao']?: null;
$contrato          = $_POST['contrato']?: null;
$rastreador        = $_POST['rastreador']?: null;
$empresar          = $_POST['empresar']?: null;



if ($placa == '') {
	echo "Informe a placa do veículo";
	exit();
}

if ($km == '') {
	echo "Informe o KM do veículo";
	exit();
}

if ($rastreador == '') {
	echo "Informe o veículo é rastreado";
	exit();
}




//if($reg_antigo != $placa){
	//verificar duplicaidade de dados
//	$res = $pdo->query("SELECT * from veiculos where placa = '$placa'");
//	$dados = $res->fetchAll(PDO::FETCH_ASSOC);
//	$linhas = count($dados);
//	if($linhas > 0){
//		echo 'Registro já Cadastrado';
//		exit();
//	}
//}


$res = $pdo->prepare("UPDATE veiculos SET tipo_veiculo = :tipo_veiculo, estilo = :estilo, placa = :placa,cod = :cod, km = :km, implemento = :implemento, v_implemento = :v_implemento, renavan = :renavan, chassis = :chassis, cor = :cor, ano = :ano, seguro = :seguro, ipva = :ipva, seguro_obri = :seguro_obri, licenciamento = :licenciamento, vencimento_doc = :vencimento_doc, cap = :cap, combustivel = :combustivel, s_financeira = :s_financeira, financeira = :financeira, valor_financiado = :valor_financiado, inicio_gto = :inicio_gto, parcelas = :parcelas, parcelas_vencer = :parcelas_vencer, valor_vencer = :valor_vencer, valor_pago = :valor_pago, nlacre = :nlacre, v_tacofrafo = :v_tacofrafo, situacao = :situacao, contrato = :contrato, rastreador = :rastreador, empresar = :empresar where id_veiculo = :id");


$res->bindValue(":tipo_veiculo", $tipo_veiculo);
$res->bindValue(":estilo", $estilo);
$res->bindValue(":placa", $placa);
$res->bindValue(":cod", $cod);
$res->bindValue(":km", $km);
$res->bindValue(":implemento", $implemento);
$res->bindValue(":v_implemento", $v_implemento);
$res->bindValue(":renavan", $renavan);
$res->bindValue(":chassis", $chassis);
$res->bindValue(":cor", $cor);
$res->bindValue(":ano", $ano);
$res->bindValue(":seguro", $seguro);
$res->bindValue(":ipva", $ipva);
$res->bindValue(":seguro_obri", $seguro_obri);
$res->bindValue(":licenciamento", $licenciamento);
$res->bindValue(":vencimento_doc", $vencimento_doc);
$res->bindValue(":cap", $cap);
$res->bindValue(":combustivel", $combustivel);
$res->bindValue(":s_financeira", $s_financeira);
$res->bindValue(":financeira", $financeira);
$res->bindValue(":valor_financiado", $valor_financiado);
$res->bindValue(":inicio_gto", $inicio_gto);
$res->bindValue(":parcelas", $parcelas);
$res->bindValue(":parcelas_vencer", $parcelas_vencer);
$res->bindValue(":valor_vencer", $valor_vencer);
$res->bindValue(":valor_pago", $valor_pago);
$res->bindValue(":nlacre", $nlacre);
$res->bindValue(":v_tacofrafo", $v_tacofrafo);
$res->bindValue(":situacao", $situacao);
$res->bindValue(":contrato", $contrato);
$res->bindValue(":rastreador", $rastreador);
$res->bindValue(":empresar", $empresar);
$res->bindValue(":id", $id);

$res->execute();

// INICIA O LOG---------------------------------------
$data = date('Y-m-d');	
$hora = date('H:i:s');
$no = $_SESSION['nome_usuario'];
$us =  $_SESSION['email_usuario'];
$ip = $_SERVER['REMOTE_ADDR'];
$op="EDITOU VEÍCULO NO SISTEMA - {$placa}";
$res = $pdo->prepare("INSERT INTO log (usuario, nome, data, hora, op, ip) values (:us, :no, :data, :hora, :op, :ip)");

$res->bindValue(":us", $us);
$res->bindValue(":no", $no);
$res->bindValue(":data", $data);
$res->bindValue(":hora", $hora);
$res->bindValue(":op", $op);
$res->bindValue(":ip", $ip);

$res->execute();
		// FIM DO LOG-----------------------------------------



echo "Editado com Sucesso!!";


?>